Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectstyle.cayenne.dataview
Class ObjEntityView

    java.lang.Object
      org.objectstyle.cayenne.dataview.ObjEntityView

    public class ObjEntityView

extends java.lang.Object

A view rooted in an ObjEntity.

Since:
  1.1
Author:
  Andriy Shapochka

Constructor Summary
`ObjEntityView()`

Method Summary
`void` | `clearFields()`
`java.util.List` | `getEditableFields()`
`ObjEntityViewField` | `getField(int index)`
`ObjEntityViewField` | `getField(java.lang.String fieldName)`
`int` | `getFieldCount()`
`ObjEntityViewField` | `getFieldForObjAttribute(java.lang.String objAttributeName)`
`java.util.List` | `getFields()`
`java.lang.String` | `getName()`
`ObjEntity` | `getObjEntity()`
`DataView` | `getOwner()`
`java.util.List` | `getVisibleFields()`
`boolean` | `hasFields()`
`int` | `insertField(ObjEntityViewField field)`
`boolean` | `removeField(ObjEntityViewField field)`
`void` | `setName(java.lang.String name)`
`void` | `setObjEntity(ObjEntity objEntity)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjEntityView

    public ObjEntityView()

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getFields

    public java.util.List getFields()

### getVisibleFields

    public java.util.List getVisibleFields()

### getEditableFields

    public java.util.List getEditableFields()

### getObjEntity

    public ObjEntity getObjEntity()

### setObjEntity

    public void setObjEntity(ObjEntity objEntity)

### getField

    public ObjEntityViewField getField(int index)

### getField

    public ObjEntityViewField getField(java.lang.String fieldName)

### getFieldForObjAttribute

    public ObjEntityViewField getFieldForObjAttribute(java.lang.String objAttributeName)

### getFieldCount

    public int getFieldCount()

### hasFields

    public boolean hasFields()

### clearFields

    public void clearFields()

### removeField

    public boolean removeField(ObjEntityViewField field)

### insertField

    public int insertField(ObjEntityViewField field)

### getOwner

    public DataView getOwner()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 ObjectStyle.org All Rights Reserved.